<#assign title="业委会"/>
<#include "/home/frag.head.ftl" />

<div class="weui-tab">
    <div class="weui-tab__bd">
        <div id="tab1" class="weui-tab__bd-item weui-tab__bd-item--active">
            <div class="page__bd">
                <header class="user-header">
                    <br/>
                    <br/>
                    <h1 class="user-title">家园抗击疫情公共服务平台</h1>
                    <br/>
                    <h1 class="user-title">用户登陆</h1>
                </header>

                <br/>
                <br/>
                <br/>
                <br/>
                <div class="weui-form" id="fromMsg">
                    <div class="weui-cells_radio user-font">
                        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;我是&nbsp;&nbsp;
                        <input name="Fruit" type="radio" value="1"/>家庭用户
                        <input name="Fruit" type="radio" value="2"/>业委会人员
                    </div>
                    <hr class="user-hr">
                    <div class="maindiv">
                        <div class="leftdiv">
                            <br/>
                            <div class="weui-cells__title"><#if user ??>value="${user.username!''}"</#if></div>
                            <div class="weui-cells__title">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;登陆</div>
                            <br/>
                        </div>
                        <div class="centerdiv"></div>
                        <div class="rightdiv">
                            <div class="weui-cells__title">联系人输入</div>
                            <div class="weui-cells">
                                <div class="weui-cell">
                                    <div class="weui-cell__bd">
                                        <input class="weui-input" type="text" id="linkman" placeholder="请输入文本"/>
                                    </div>
                                </div>
                            </div>
                            <div class="weui-cells__title">手机号输入</div>
                            <div class="weui-cells">
                                <div class="weui-cell">
                                    <div class="weui-cell__bd">
                                        <input class="weui-input" type="text" id="phone" placeholder="请输入文本"/>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <br/>
                    <div class="weui-form__opr-area">
                        <a class="weui-btn weui-btn_primary "  href="javascript:;" onclick="save();" id="save">确定</a>
                    </div>
                </div>


                <div class="page" id="tpl_msg_warn_userType" hidden="hidden">
                    <div class="weui-msg">
                        <div class="weui-msg__icon-area"><i class="weui-icon-warn weui-icon_msg"></i></div>
                        <div class="weui-msg__text-area">
                            <h2 class="weui-msg__title">操作失败</h2>
                            <p class="weui-msg__desc" id="errorMsg">用户类型不能为空</p>
                        </div>
                        <div class="weui-msg__opr-area">
                            <p class="weui-btn-area">
                                <a href="javascript:;" onclick="back();" class="weui-btn weui-btn_default">返回</a>
                            </p>
                        </div>
                    </div>
                </div>
                <div class="page" id="tpl_msg_warn_linkman" hidden="hidden">
                    <div class="weui-msg">
                        <div class="weui-msg__icon-area"><i class="weui-icon-warn weui-icon_msg"></i></div>
                        <div class="weui-msg__text-area">
                            <h2 class="weui-msg__title">操作失败</h2>
                            <p class="weui-msg__desc" id="errorMsg">联系人不能为空</p>
                        </div>
                        <div class="weui-msg__opr-area">
                            <p class="weui-btn-area">
                                <a href="javascript:;" onclick="back();" class="weui-btn weui-btn_default">返回</a>
                            </p>
                        </div>
                    </div>
                </div>
                <div class="page" id="tpl_msg_warn_phone" hidden="hidden">
                    <div class="weui-msg">
                        <div class="weui-msg__icon-area"><i class="weui-icon-warn weui-icon_msg"></i></div>
                        <div class="weui-msg__text-area">
                            <h2 class="weui-msg__title">操作失败</h2>
                            <p class="weui-msg__desc" id="errorMsg">电话号码校验失败</p>
                        </div>
                        <div class="weui-msg__opr-area">
                            <p class="weui-btn-area">
                                <a href="javascript:;" onclick="back();" class="weui-btn weui-btn_default">返回</a>
                            </p>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>
</div>
</div>
</body>
<#include "/home/frag.foot.ftl" />
<script>

    var userId = <#if user ??>value="${user.userId!''}"</#if>

    function save() {
        var userType = $('input:radio:checked').val();
        if (!userType) {
            $("#tpl_msg_warn_userType").show();
            $("#tpl_msg_warn_linkman").hide();
            $("#tpl_msg_warn_phone").hide();
            $("#fromMsg").hide();
            return false;
        }
        var linkman = $("#linkman").val();
        if (!linkman) {
            $("#tpl_msg_warn_userType").hide();
            $("#tpl_msg_warn_linkman").show();
            $("#tpl_msg_warn_phone").hide();
            $("#fromMsg").hide();
            return false;
        }
        var phone = $("#phone").val();
        if(!(/^1[3456789]\d{9}$/.test(phone))){
            $("#tpl_msg_warn_userType").hide();
            $("#tpl_msg_warn_linkman").hide();
            $("#tpl_msg_warn_phone").show();
            $("#fromMsg").hide();
            return false;
        }
        $("#tpl_msg_warn_userType").hide();
        $("#tpl_msg_warn_linkman").hide();
        $("#tpl_msg_warn_phone").hide();
        console.log(userType)
        console.log(linkman)
        console.log(phone)

        $.ajax({
            url: '/admin/supplier/createOrderauditMain.json',
            type: "post",
            data: {
                "userId": userId,
                "userType": userType,
                "linkman": linkman,
                "phone": phone,
            },
            beforeSend: function () {
            },
            success: function (result) {
                if (result.success) {
                    layer.msg('添加成功');
                } else {
                    layer.msg(result.message);
                }
                closePageTwo();
            }
        });
    }

    function back(){
        $("#tpl_msg_warn_userType").hide();
        $("#tpl_msg_warn_linkman").hide();
        $("#tpl_msg_warn_phone").hide();
        $("#fromMsg").show();
    }

</script>