package com.bofeng.entity;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import lombok.Getter;
import lombok.Setter;
import org.joda.time.DateTime;

import java.util.Date;

@Getter
@Setter
@TableName("sys_uptown_house")
public class UptownHouse {

    @TableField("house_id")
    private Long houseId;

    @TableField("uptown_id")
    private Long uptownId;

    @TableField("linkman")
    private String linkman;

    @TableField("phone")
    private String phone;

    @TableField("young")
    private Integer young;

    @TableField("middle")
    private Integer middle;

    @TableField("old")
    private Integer old;

    @TableField("remark")
    private String remark;

    /**
     * 状态:1正常,0草稿,-1删除
     */
    @TableField("status")
    private Integer status;

    @TableField("user_create")
    private Long userCreate;

    @TableField(exist = false)
    private DateTime timeCreate;

    @TableField("user_update")
    private Long userUpdate;

    @TableField(exist = false)
    private DateTime timeUpdate;
}
