package com.bofeng.wx.controller;

import com.bofeng.entity.UserOpen;
import com.bofeng.service.HomeService;
import com.bofeng.service.UserOpenService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.servlet.ModelAndView;

import javax.servlet.http.HttpServletRequest;

@RestController
public class UserOpenController {

    @Autowired
    private HomeService homeService;
    @Autowired
    private UserOpenService userOpenService;

    @GetMapping("/user/home.html")
    public ModelAndView home(ModelMap model) {
        UserOpen userOpen = homeService.getUserOpen();
        model.put("user", userOpen);
        return new ModelAndView("/user/home.ftl", model);
    }

    @GetMapping("/home/saveUser.json")
    public ModelAndView saveUser(HttpServletRequest request) {
        Long userId = Long.parseLong(request.getParameter("userId"));
        Integer userType = Integer.parseInt(request.getParameter("userType"));
        String linkman = request.getParameter("linkman");
        String phone = request.getParameter("phone");
        userOpenService.saveUserInfo(userId,userType,linkman,phone);
        return new ModelAndView("/home/home.ftl");
    }
}
